function Mloc = MASS_BFE(Vertices,flag,QuadRule,alpha,varargin)
% MASS_BFE Element mass matrix.

%%% Preallocate memory %%%
Mloc = zeros(4,4);

%%% Evaluate shape functions in quad. nodes %%%
N = ...
grad_N = ...

%%% Compute jacobian det of element mapping %%%
det_DPhi_K = abs(z1(:,1).*z2(:,2)-z1(:,2).*z2(:,1));

%%% Evaluate alpha in quad. nodes %%%
alpha_val=alpha(QuadRule.x);

%%% Compute the matrix as sum over quad. nodes %%%
for i = 1:4
    for j = i:4
        Mloc(i,j) = sum(QuadRule.w.*alpha_val.*N(:,i).*N(:,j).*det_DPhi_K);
    end
end

end