function Aloc = STIMA_Lapl_BFE(Vertices,flag,QuadRule,varargin)
% STIMA_LAPL_BFE Element stiffness matrix for the Laplacian.

%%% Define constant %%%
nGauss = size(QuadRule.w,1);

%%% Preallocate memory %%%

Aloc = zeros(4,4);
DPhi_K = zeros(2,2);

%%% Compute values of gradients of shape functions at quadrature nodes %%%

grad_N = ...;

%%% Extract vertices %%%

P1 = Vertices(1,:);
P2 = Vertices(2,:);
P3 = Vertices(3,:);
P4 = Vertices(4,:);

%The local stiffness matrix is a sum over all quadrature nodes of some
%contributions. Therefore the for loop.
for i = 1:nGauss
    %%% Compute Jacobimatrix of Element map from subproblem 1b) %%%
    DPhi_K(1,:) = ...
    DPhi_K(2,:) = ...
    inv_DPhi_K = inv(DPhi_K);
    
    %%% Compute entries of local 4x4-stiffness matrix %%%
    Aloc = Aloc + ...
    
end

end